curl https://api.fryll.com/channels/$CHANNEL_ID/messages/$MESSAGE_ID \
-H "Authorization: Bearer $FRYLL_ACCESS_TOKEN" \
-H "X-Workspace-Id: $FRYLL_WORKSPACE_ID"
const res = await fetch(`https://api.fryll.com/channels/${channelId}/messages/${messageId}`, {
headers: {
'Authorization': `Bearer ${process.env.FRYLL_ACCESS_TOKEN}`,
'X-Workspace-Id': process.env.FRYLL_WORKSPACE_ID!,
},
});
const data = await res.json();
{
"id": "0192f3a4-81d0-7c61-a3b2-5e6f7a8b9c0d",
"created_at": "2026-10-14T10:24:03.118Z",
"updated_at": "2026-10-14T10:24:03.118Z",
"children": [
{
"type": "text",
"text": "Deployed api v1.42.1 to production"
}
],
"loading_expires_at": "2026-10-14T10:24:03.118Z",
"saved_at": "2026-10-14T10:24:03.118Z",
"reply_count": 0,
"reply_actor_ids": [
"0192f3a4-81d0-7c61-a3b2-5e6f7a8b9c0d"
],
"last_reply_at": "2026-10-14T10:24:03.118Z",
"reactions": [
{
"emoji": "👍",
"actor_ids": [
"0192f3a4-81d0-7c61-a3b2-5e6f7a8b9c0d"
]
}
],
"reactions_version": 0,
"assets": [
{
"id": "0192f3a4-81d0-7c61-a3b2-5e6f7a8b9c0d",
"created_at": "2026-10-14T10:24:03.118Z",
"updated_at": "2026-10-14T10:24:03.118Z",
"conversation_id": "0192f3a4-8f22-7a04-b6c5-1d2e3f4a5b6c",
"message_id": "0192f3a4-7b3c-7d2e-9f10-4a5b6c7d8e9f",
"name": "deploys",
"size_bytes": 1,
"content_type": "image/png",
"status": "pending",
"preview_kind": "image"
}
],
"workspace_id": "0192f3a4-7b3c-7d2e-9f10-4a5b6c7d8e9f",
"conversation_id": "0192f3a4-8f22-7a04-b6c5-1d2e3f4a5b6c",
"author_actor_id": "0192f3a4-81d0-7c61-a3b2-5e6f7a8b9c0d",
"body_text": "Deployed api v1.42.1 to production",
"mentioned_actor_ids": [
"0192f3a4-7b3c-7d2e-9f10-4a5b6c7d8e9f"
],
"parent_message_id": "0192f3a4-81d0-7c61-a3b2-5e6f7a8b9c0d",
"edited_at": "2026-10-14T10:24:03.118Z",
"deleted_at": "2026-10-14T10:24:03.118Z"
}